**********
Overview
**********

..
    Coding language

.. role:: ada(code)
    :language: Ada

.. role:: C(code)
    :language: C

.. role:: cpp(code)
    :language: C++

..
    Math symbols

.. |rightarrow| replace:: :math:`\rightarrow`
.. |forall| replace:: :math:`\forall`
.. |exists| replace:: :math:`\exists`
.. |equivalent| replace:: :math:`\iff`
.. |le| replace:: :math:`\le`
.. |ge| replace:: :math:`\ge`
.. |lt| replace:: :math:`<`
.. |gt| replace:: :math:`>`

..
    Miscellaneous symbols

.. |checkmark| replace:: :math:`\checkmark`

===================
About This Course
===================

-------------------------
*Core* Language Content
-------------------------

* Ada is a **compiled**, **multi-paradigm** language

   - Exceptions
   - Generic units
   - Dynamic memory management
   - Low-level programming
   - Object-Oriented Programming (OOP)
   - Concurrent programming
   - Contract-Based Programming

* With a **static** and **strong** type model
